/*
 * Project name:
     Button_Test
 * Copyright:
     (c) Mikroelektronika, 2015.
 * Description:
     Simple demonstration on usage of the Button() function.
 * Test configuration:
     MCU:             FT900
                      http://www.ftdichip.com/Support/Documents/DataSheets/ICs/DS_FT900_1_2_3.pdf
     Dev. Board:      Clicker 2 for FT900
                      http://www.mikroe.com/ft90x/clicker-2/
     Oscillator:      CPU at full system clock, 100.000MHz
     Ext. modules:    None.
     SW:              mikroC PRO for FT90x
                      http://www.mikroe.com/mikroc/ft90x/
 * NOTES:
     - Pressing P35 button should togle LED LD1 on clicker board.
 */

unsigned int oldstate;

void main() {
  GPIO_Digital_Input(&GPIO_PORT_32_39, _GPIO_PINMASK_3);       // Set GPIO_PIN35 as digital input
  GPIO_Digital_Output(&GPIO_PORT_32_39, _GPIO_PINMASK_2);      // Set GPIO_PIN34 as digital output
  oldstate = 0;

  do {
    if (Button(&GPIO_PORT_32_39, 3, 1, 1))                    // detect logical one on GPIO_PIN35 pin
      oldstate = 1;
    if (oldstate && Button(&GPIO_PORT_32_39, 3, 1, 0)) {      // detect one-to-zero transition on GPIO_PIN35 pin
      GPIO_PORT_32_39.B2 = ~GPIO_PORT_32_39.B2;               // invert GPIO_PIN34 value
      oldstate = 0;
    }
  } while(1);                                                 // endless loop
}