/*
 * Project name:
     Sprintf
 * Copyright:
     (c) Mikroelektronika, 2015.
 * Description:
     This is a demonstration of the standard C library sprintf routine usage.
     Three different representations of the same floating poing number obtained
     by using the sprintf routine are sent via UART.
  * Test configuration:
     Device:          FT900
                      http://www.ftdichip.com/Support/Documents/DataSheets/ICs/DS_FT900_1_2_3.pdf
     Dev. Board:      Clicker 2 for FT900
                      http://www.mikroe.com/ft90x/clicker-2/
     Oscillator:      CPU at full system clock, 100.000MHz
     ext. modules:    ac:UART_Click - usb uart click
     SW:              mikroC PRO for FT90x
                      http://www.mikroe.com/mikroc/FT90x/
 * NOTES:
      - Place USB UART click board into mikroBUS socket1.
      - Use USART Terminal for communication with controller.
 */

float ww = -1.2587538e+1;
char  buffer[15];
char uart_rd;

void main(){

  UART1_Init(115200);

  Delay_ms(100); // Wait for UART module to stabilize
  UART1_Write_Text("Floating point number representation"); // Write message on UART

  sprintf(buffer, "%12e", ww);             // Format ww and store it to buffer
  UART1_Write_Text("\r\ne format:");       // Write message on UART
  UART1_Write_Text(buffer);                // Write buffer on UART

  sprintf(buffer, "%12f", ww);             // Format ww and store it to buffer
  UART1_Write_Text("\r\nf format:");       // Write message on UART
  UART1_Write_Text(buffer);                // Write buffer on UART

  sprintf(buffer, "%12g", ww);             // Format ww and store it to buffer
  UART1_Write_Text("\r\ng format:");       // Write message on UART
  UART1_Write_Text(buffer);                // Write buffer on UART

}
